Subject: bug#6366: comm: use numeric sort (optionally)

From: Assaf Gordon <[email-masked]>
Date: Tue, 9 Oct 2018 14:19:04 -0600

severity 6366 wishlist
stop

(triaging old bugs)

Hello,

On 22/08/12 04:00 PM, Pádraig Brady wrote:
> 
> On 08/22/2012 09:17 PM, Sam Steingold wrote:
>> I have a file of numbers (integers IDs) which are sorted numerically,
>> but comm complains that they are not.
>> I suggest that comm accept "-n" option (like sort) to use numeric sort.
>> Thanks.
> 
> Yes.
> comm, join, uniq really should support the same field selection
> and comparision flags as sort.
> 
> There are already bugs for that:
> http://bugs.gnu.org/5832
> http://bugs.gnu.org/6366

There is an on-going (though somewhat dormant) effort to
consolidate the key comparison of uniq/join/sort into one common
module:

   https://lists.gnu.org/r/coreutils/2013-02/msg00087.html
   https://lists.gnu.org/r/coreutils/2016-04/msg00063.html

As such, I'm marking this as a wishlist item, and hopefully we'll get
to it sooner or later...

regards,
  - assaf